# Generated by Django 2.2.5 on 2019-09-13 02:55

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('khipu', '0002_auto_20190912_1339'),
    ]

    operations = [
        migrations.AddField(
            model_name='payment',
            name='created',
            field=models.DateTimeField(auto_now_add=True, default=django.utils.timezone.now),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='payment',
            name='id_data',
            field=models.UUIDField(blank=True, db_index=True, null=True),
        ),
        migrations.AddField(
            model_name='payment',
            name='modified',
            field=models.DateTimeField(auto_now=True),
        ),
        migrations.AddField(
            model_name='payment',
            name='status_field',
            field=models.BooleanField(default=True),
        ),
        migrations.CreateModel(
            name='HistoricalPayment',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('payment_id', models.CharField(max_length=200, verbose_name='ID de la compra')),
                ('subject', models.CharField(max_length=500, verbose_name='Subject')),
                ('currency', models.CharField(max_length=20, verbose_name='Currency')),
                ('amount', models.CharField(max_length=100, verbose_name='Amount')),
                ('transaction_id', models.CharField(blank=True, max_length=200, null=True, verbose_name='Transaction ID')),
                ('custom', models.CharField(blank=True, max_length=500, null=True, verbose_name='Custom')),
                ('body', models.TextField(blank=True, null=True, verbose_name='Body')),
                ('bank', models.CharField(blank=True, max_length=200, null=True, verbose_name='Bank nombre')),
                ('bank_id', models.CharField(blank=True, max_length=10, null=True, verbose_name='Bank ID')),
                ('payment_url', models.URLField(blank=True, null=True, verbose_name='Payment URL')),
                ('simplified_transfer_url', models.URLField(blank=True, null=True, verbose_name='Simplified URL')),
                ('transfer_url', models.URLField(blank=True, null=True, verbose_name='Transfer URL')),
                ('app_url', models.URLField(blank=True, null=True, verbose_name='App URL')),
                ('return_url', models.URLField(blank=True, null=True, verbose_name='Return URL')),
                ('cancel_url', models.URLField(blank=True, null=True, verbose_name='Cancel URL')),
                ('picture_url', models.URLField(blank=True, null=True, verbose_name='Picture URL')),
                ('notify_url', models.URLField(blank=True, null=True, verbose_name='Notify URL')),
                ('contract_url', models.URLField(blank=True, null=True, verbose_name='Contract URL')),
                ('notify_api_version', models.CharField(blank=True, max_length=10, null=True, verbose_name='API Version notify')),
                ('expires_date', models.DateTimeField(blank=True, null=True, verbose_name='Expires')),
                ('send_email', models.BooleanField(default=False, verbose_name='Send email')),
                ('payer_name', models.CharField(blank=True, max_length=300, null=True, verbose_name='Payer name')),
                ('payer_email', models.CharField(blank=True, max_length=200, null=True, verbose_name='Payer email')),
                ('send_reminders', models.BooleanField(default=False, verbose_name='Reminders')),
                ('responsible_user_email', models.CharField(blank=True, max_length=200, null=True, verbose_name='Responsable del pago')),
                ('personal_identifier', models.CharField(blank=True, max_length=100, null=True, verbose_name='Identificador personal pagador')),
                ('fixed_payer_personal_identifier', models.CharField(blank=True, max_length=30, null=True, verbose_name='Identificador personal')),
                ('integrator_fee', models.CharField(blank=True, max_length=100, null=True, verbose_name='Comision integrador')),
                ('ready_for_terminal', models.BooleanField(default=False, verbose_name='Ready for terminal')),
                ('notification_token', models.CharField(blank=True, max_length=400, null=True, verbose_name='Token verificacion Khipu')),
                ('receiver_id', models.IntegerField(blank=True, null=True, verbose_name='Receiver ID')),
                ('conciliation_date', models.DateTimeField(blank=True, null=True, verbose_name='Concilation date')),
                ('status', models.CharField(blank=True, choices=[('pending', 'Pagador aún no paga'), ('veryfing', 'Se está verificando el pago'), ('done', 'El pago ya está confirmado'), ('amount_error', 'El pago tiene un monto que no es válido'), ('receiver_error', 'El pago tiene un receiver_id que no es válido')], max_length=50, null=True, verbose_name='Status payment')),
                ('status_detail', models.CharField(blank=True, choices=[('pending', 'El pagador aún no comienza a pagar'), ('normal', 'El pago fue verificado y cancelado por algún medio de pago estandar'), ('marked-paid-by-payer', 'El pagador declaró que no pagará'), ('marked-as-abuse', 'El pagador declaró que no pagará y que el cobro fue no solicitado'), ('reversed', 'El pago fue anulado por el comercio, dinero fue devuelto al pagador')], max_length=50, null=True, verbose_name='Status payments detail')),
                ('receipt_url', models.URLField(blank=True, null=True, verbose_name='URL comprobante')),
                ('attachment_urls', models.TextField(blank=True, null=True, verbose_name='URL archivos adjuntos al pago')),
                ('bank_account_number', models.CharField(blank=True, max_length=400, null=True, verbose_name='Bank account number')),
                ('out_of_date_conciliation', models.BooleanField(default=False, verbose_name='Pago fuera de la expiracion')),
                ('payment_method', models.CharField(blank=True, choices=[('regular_transfer', 'Transferencia normal'), ('simplified_transfer', 'Transferencia simplificada'), ('not_available', 'Para un pago marcado como realizado por otro medio por el cobrador')], max_length=50, null=True, verbose_name='Status payment')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical Ordenes de compra Khipu',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
